Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
Class IncludedContent

    java.lang.Object
      org.codehaus.groovy.grails.web.util.IncludedContent

All Implemented Interfaces:
  groovy.lang.Writable

    public class IncludedContent

extends Object
implements groovy.lang.Writable

A class that represents some content that has been used in an include request

Since:
  1.1.1

  Created: Mar 26, 2009
Author:
  Graeme Rocher

Constructor Summary
`IncludedContent(String redirectURL)`
`IncludedContent(String contentType, Object content)`

Method Summary
`Object` | `getContent()` Returns the included content
`char[]` | `getContentAsCharArray()`
`String` | `getContentType()` Returns the included content type (default is text/html;charset=UTF=8)
`String` | `getRedirectURL()` Returns the URL of a redirect if a redirect was issue in the Include otherwise it returns null if there was no redirect
`Writer` | `writeTo(Writer target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncludedContent

    public IncludedContent(String contentType,
                           Object content)

### IncludedContent

    public IncludedContent(String redirectURL)

Method Detail

### getRedirectURL

    public String getRedirectURL()

  Returns the URL of a redirect if a redirect was issue in the Include otherwise it returns null if there was no redirect

  Returns:
    The redirect URL

### getContentType

    public String getContentType()

  Returns the included content type (default is text/html;charset=UTF=8)

  Returns:
    The content type

### getContent

    public Object getContent()

  Returns the included content

  Returns:
    The content

### writeTo

    public Writer writeTo(Writer target)
                   throws IOException

  Specified by:
    `writeTo` in interface `groovy.lang.Writable`
  Throws:
    `IOException`

### getContentAsCharArray

    public char[] getContentAsCharArray()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project